<?
$msg = false;
if($ku['garden_time']<=$time){
mysql_query("UPDATE `kolhoz_user` SET `gardener` = '',`garden_time`='' WHERE `id` = '$ku[id]' LIMIT 1");}else{
if($ku['gardener']==1)$water=1;$name='Молчан';
if($ku['gardener']==2){$water=1;$name='Казимир';
$harvest=1;
$cultivate=1;
$seat=1;}
if($ku['gardener']==3){$water=1;$name='Ярило';
$harvest=1;
$cultivate=1;
$seat=1;
$soil=1;
}
if(isset($water) AND mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` != '0' AND (`time_water` = '$time' OR `time_water` < '$time') AND `time` > '$time' AND (`soil` = '0' AND `time_soil` > '$time' OR `soil` = '1')LIMIT 1"),0)!=0){

$nt=1800;
$rat=ir($ku['level']);
$rat_hp_act=0; //гидра
$rat_mc_hp_act=0; //ороситель
$rat_sc_act=0; //пугало
$rat_dog_act=0;
$rat_drakon_act=0; //дракон
$rat_irregate_act=0; //оПроситель
$rat_school_act=0; //школа
$rat_lib_act=0;
$arena_rat=0;  //арена
if(isset($hp_act))$rat_hp_act=(($rat/100)*$hp_ps);
if(isset($mc_hp_act))$rat_mc_hp_act=(($rat/100)*$mc_hp_ps);
if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($dog_type))$rat_dog_act=(($rat/100)*$dog_type);
if(isset($irregate_act))$rat_irregate_act=(($rat/100)*$irregate_act);
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($shmel_act))$rat_irregate_act=$rat_irregate_act*2;
if(isset($shmel_act))$rat_hp_act=$rat_hp_act*2;
if($ku['arena_rating']>1000)$arena_rat=floor(($rat/100)*(($ku['arena_rating']-1000)/20));
$ratt=$rat+$rat_hp_act+$rat_sc_act+$rat_drakon_act+$rat_irregate_act+$rat_mc_hp_act+$rat_school_act+$rat_lib_act+$rat_dog_act+$arena_rat;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp) AND !isset($dexp3))$rat=$rat*2; elseif(isset($dexp3))$rat=$rat*3;

$ntt=15*60;
$ntt_hp_act=0;
$ntt_mc_hp_act=0;
if(isset($hp_act))$ntt_hp_act=(($ntt/100)*$hp_ps);
if(isset($mc_hp_act))$ntt_mc_hp_act=(($ntt/100)*$mc_hp_ps);
$ntt=$ntt_hp_act+$ntt_mc_hp_act;
if(isset($irregate_act))
{
$nt=$nt-(round($irregate_act_mnp*60));
$ntt=$ntt+($irregate_act_m*60);
}


$orat=0;
$q=mysql_query("SELECT * FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` != '0' AND (`time_water` = '".time()."' OR `time_water` < '".time()."') AND `time` > '".time()."' AND (`soil` = '0' AND `time_soil` > '".time()."' OR `soil` = '1')");
$vc=0;
while($post=mysql_fetch_array($q))
{
$vc=$vc+1;
mysql_query("UPDATE `kolhoz_ground` SET `time_water` = '".(time()+$nt)."', `time` = '".($post['time']-$ntt)."' WHERE `id` = '$post[id]' LIMIT 1");
$orat=$rat+$orat;
}
mysql_query("UPDATE `kolhoz_user` SET `vodoley` = '".($ku['vodoley']+$vc)."' WHERE `id` = '$ku[id]'");
$ku['rating']=$ku['rating']+$orat;
mysql_query("UPDATE `kolhoz_user` SET `rating` = '$ku[rating]' WHERE `id` = '$ku[id]'");
update_mc($orat);




}

elseif(isset($soil) AND mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `soil` = '0' AND (`time_soil` = '$time' OR `time_soil` < '$time') AND `id_plant` != '0' AND `time` > '$time' LIMIT 1"),0)!=0){

if($ku['last_soil']!=0)
{
$soil=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_soil` WHERE `id` = '$ku[last_soil]'"));
$cg=mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `soil` = '0' AND (`time_soil` = '$time' OR `time_soil` < '$time') AND `id_plant` != '0' AND `time` > '$time'"),0);
$sc=$cg*$soil['cena'];
if($ku['money']>=$sc)
{
$rat=$soil['rating'];
$rat_sc_act=0;
$rat_dog_act=0;
$rat_hp_act=0;
$rat_mc_hp_act=0;
$rat_drakon_act=0;
$rat_soiler_act=0;
$rat_school_act=0;
$rat_lib_act=0;
$arena_rat=0;
if(isset($hp_act))$rat_hp_act=(($rat/100)*$hp_ps);
if(isset($mc_hp_act))$rat_mc_hp_act=(($rat/100)*$mc_hp_ps);
if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($dog_type))$rat_dog_act=(($rat/100)*$dog_type);
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($soiler_act))$rat_soiler_act=(($rat/100)*$soiler_act);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($shmel_act))$rat_soiler_act=$rat_soiler_act*2;
if(isset($shmel_act))$rat_hp_act=$rat_hp_act*2;
if($ku['arena_rating']>1000){$arena_rat=floor(($rat/100)*(($ku['arena_rating']-1000)/20));}
$ratt=$rat_mc_hp_act+$rat_sc_act+$rat_hp_act+$rat_drakon_act+$rat_soiler_act+$rat_school_act+$rat_lib_act+$rat_dog_act+$arena_rat;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp) AND !isset($dexp3))$rat=$rat*2; elseif(isset($dexp3))$rat=$rat*3;

$st=$soil['time'];
$st_hp_act=0;
$st_mc_hp_act=0;
$st_soiler_act=0;
if(isset($hp_act))$st_hp_act=($st/100)*$hp_ps;
if($ku['lfertilizer']>0)$lfertilizer=($st/100)*($ku['lfertilizer']*7); 
if(isset($mc_hp_act))$st_mc_hp_act=($st/100)*$mc_hp_ps;
if($soiler_act)$st_soiler_act=($st/100)*$soiler_act;
$st=$st_hp_act+$st_soiler_act+$lfertilizer+$st+$st_mc_hp_act;

$q=mysql_query("SELECT * FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `soil` = '0' AND (`time_soil` = '$time' OR `time_soil` < '$time') AND `id_plant` != '0' AND `time` > '$time'");
$orat=0;
$vc=0;
while($post=mysql_fetch_array($q))
{
$orat=$orat+$rat;
mysql_query("UPDATE `kolhoz_ground` SET `time` = '".($post['time']-$st)."', `soil` = '1' WHERE `id` = '$post[id]' LIMIT 1");
$vc=$vc+1;
}
mysql_query("UPDATE `kolhoz_user` SET `agronom` = '".($ku['agronom']+$vc)."',`money` = '".($ku['money']-$sc)."',`rating` = '".($ku['rating']+$orat)."' WHERE `id` = '$ku[id]'");
update_mc($orat);



}
}

}

elseif(isset($harvest) AND mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND (`time` < '$time' OR `time` = '$time') AND `id_plant` != '0' LIMIT 1"),0)!=0){

$q=mysql_query("SELECT * FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND (`time` < '$time' OR `time` = '$time') AND `id_plant` != '0' ");
$ohv=0;
$expa=0;
while($post=mysql_fetch_array($q))
{
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '$post[id_plant]'"));
if($plant['id']==$gos['id_plant'] && $mc)
{
$harv=(isset($harvester_act)?$harvester_act/100:0);
$hawk=(isset($yastreb_act)?3:0);
$exp=$plant['time_soil']+($plant['time_soil']*$harv)+($plant['time_soil']*$hawk);
if($gos['type']=='harvest')$exp=$exp*2;
$expa=$expa+$exp;
}
$count=$plant['count'];
$count_harvester_act=0;
$count_yastreb_act=0;
$count_greenhouse_act=0;
$talent1=0;
$biowarehouse=0; 
if($ku['biowarehouse']>0)$biowarehouse=($count/100)*($ku['biowarehouse']*15); $biowarehouse=0; 
if($ku['talent_1']>0)$talent1=(($count/100)*($ku['talent_1']*5)); 

if(isset($harvester_act))$count_harvester_act=floor(($count/100)*$harvester_act);
if(isset($yastreb_act))$count_yastreb_act=(($count/100)*300);
if(isset($greenhouse_act))$count_greenhouse_act=(($count/100)*$greenhouse_ps);
$count=$count_harvester_act+$talent1+$biowarehouse+$count_yastreb_act+$count+$count_greenhouse_act;

$count=floor($count);

if($pw=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `id_plant` = '$plant[id]'")))
{
mysql_query("UPDATE `kolhoz_warehouse` SET `amount` = '".($pw['amount']+$count)."' WHERE `id` = '$pw[id]'");
}
else mysql_query("INSERT INTO `kolhoz_warehouse` SET `id_plant` = '$plant[id]', `id_user`  = '$ku[id]', `amount` = '$count'");
//mysql_query("UPDATE `kolhoz_ground` SET `id_plant` = '0', `soil` = '0', `cultivator` = '0' WHERE `id` = '$post[id]' LIMIT 1");
$ohv=$ohv+$count;
}
if($expa>0){
mysql_query("UPDATE `kolhoz_collective` SET `rating_gos` = '$mc[rating_gos]'+'$expa' WHERE `id`='$mc[id]'");
mysql_query("UPDATE `kolhoz_collective_user` SET `rating_gos` = '$mcu[rating_gos]'+'$expa' WHERE `id_user`='$ku[id]'");
}
mysql_query("INSERT INTO `amount` SET  `id_user`  = '$ku[id]', `amount` = '$pw[amount]'");

mysql_query("UPDATE `kolhoz_ground` SET `id_plant` = '0', `soil` = '0', `cultivator` = '0' WHERE  `id_user` = '$ku[id]' AND (`time` < '$time' OR `time` = '$time') AND `id_plant` != '0'");

mysql_query("UPDATE `kolhoz_user` SET `sadovod` = '".($ku['sadovod']+$ohv)."' WHERE `id` = '$ku[id]'");



    
}

elseif(isset($cultivate) AND mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0' LIMIT 1"),0)!=0){

$rat = cr($ku['level']);

$rat_drakon_act=0;
$rat_sc_act=0;
$rat_dog_act=0;
$rat_lib_act=0;
if(!isset($cultivator_act))$cultivator_act=0;
if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($dog_type))$rat_dog_act=(($rat/100)*$dog_type);
$rat_cultivator_act=(($rat/100)*$cultivator_act);
if(isset($drakon_act))$rat_drakon_act=((2/100)*300);
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($shmel_act))$rat_cultivator_act=$rat_cultivator_act*2;
$ratt=$rat_drakon_act+$rat_sc_act+$rat_cultivator_act+$rat_lib_act+$rat_dog_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp) AND !isset($dexp3))$rat=$rat*2; elseif(isset($dexp3))$rat=$rat*3;
$orat=0;
$q=mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'"),0);

$orat=$rat*$q;
$ku['rating'] = $ku['rating']+$orat;
mysql_query("UPDATE `kolhoz_user` SET `rating` = '$ku[rating]' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_ground` SET `cultivator` = '1' WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'");

update_mc($orat);
}

elseif(isset($seat) AND mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '1' LIMIT 1"),0)!=0 AND $ku['last_plant']!=0){

$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '$ku[last_plant]' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')"));
$cg=mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0'"),0);
$mon=($plant['cena']/100)*$seeder_act_skid;
$money=floor($plant['cena']-$mon);
$sc=$money*$cg;
$rat=$plant['rating'];
$rat_sc_act=0;
$rat_dog_act=0;
$rat_drakon_act=0;
$rat_seeder_act=0;
$rat_cultivator_seat_soil=0;
$rat_school_act=0;
$arena_rat=0;
if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($dog_type))$rat_dog_act=(($rat/100)*$dog_type);
if(isset($drakon_act))$rat_drakon_act=(($plant['rating']/100)*300);
if(isset($seeder_act))$rat_seeder_act=(($rat/100)*$seeder_act);
if(isset($school_act))$rat_school_act=$rat/2;
if($ku['talent_1']>0)$talent1=(($rat/100)*($ku['talent_1']*5));

if(isset($cultivator_seat_soil))$rat_cultivator_seat_soil=(($rat/100)*$cultivator_seat_soil);
if(isset($shmel_act))$rat_seeder_act=$rat_seeder_act*2;
if($ku['arena_rating']>1000){$arena_rat=floor(($rat/100)*(($ku['arena_rating']-1000)/20));}
$ratt=$rat+$rat_drakon_act+$talent1+$rat_sc_act+$rat_seeder_act+$rat_school_act+$rat_cultivator_seat_soil+$rat_dog_act+$arena_rat;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp) AND !isset($dexp3))$rat=$rat*2; elseif(isset($dexp3))$rat=$rat*3;

if($gos['id_plant']==$plant['id'] && $gos['type']=='rating' && isset($mc))$rat=$rat*2;
if($ku['money']>=$sc)
{
$q=mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '1'"),0);

$orat=$rat*$q;
mysql_query("UPDATE `kolhoz_ground` SET `id_plant` = '$plant[id]', `time_soil` = '".(time()+$plant['time_soil'])."', `time_water` = '".(time()+120)."', `soil` = '0', `time` = '".($plant['time']+time())."' WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '1'");

mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']-$sc)."',`rating` = '".($ku['rating']+$orat)."' WHERE `id` = '$ku[id]'");
update_mc($orat);

}
}
}
?>
